{% extends 'base.html' %}
{%load static%}

{% block tambahStyle %}
<link rel="stylesheet" href="{% static 'poll/poll.css'%}">
<link rel="preconnect" href="https://fonts.gstatic.com">
<link href="https://fonts.googleapis.com/css2?family=Tinos&display=swap" rel="stylesheet">
<style>
    .tabel-poll{
        width: 600px;
        height: 287px;
        margin-top: 40px;
        margin-right: auto;
        margin-left: auto;
        box-sizing: border-box;
        border-radius: 8px;
        box-shadow: 20px -16px #6C804B;
        font-family: Oswald;
        background-color: white;
    }

    #h1-polling{
        text-align: center;
        margin-top: 20px;
    }

    .header-polling{
        background-color: #ABB868;
        box-sizing: border-box;
        border-radius: 8px 8px 0 0 ;
        font-family: 'Tinos', serif;
        color: white;
        font-weight: bolder;
    }

    .row-pilihan{
        margin: 0 5px 0 5px;
    }

    .pertanyaan-polling{
        margin: 0px 5px 0 20px;
    }

    .btn-create-poll{
        box-sizing: border-box;
        border-radius: 20px 20px 20px 20px;
        background-color: #52b788;
    }


    @media (min-width: 700px) and (max-width:800px){

    }

    @media (min-width: 600px) and (max-width:699px){
        .tabel-poll{
            width: 580px;
        }
    }

    @media (min-width: 500px) and (max-width:599px){

        .tabel-poll{
            width: 480px;
        }

        .form-pertanyaan{
            width: 450px;
        }
    }

    @media (min-width: 400px) and (max-width:499px){
        .tabel-poll{
            width: 380px;
        }

        .form-pertanyaan{
            width: 350px;
        }
    }

    @media (min-width: 300px) and (max-width:399px){
        .tabel-poll{
            width: 280px;
        }

        .form-pertanyaan{
            width: 250px;
        }
    }


</style>
{% endblock tambahStyle %}

{% block content %}
<body style="background-color: #DCE5D2">
    <div class="container-form">
        <h1 id="h1-polling">Buatlah Polling Mu!</h1>
        <form action="{% url 'poll:buatpoll' %}" method="POST" role="form">
            {% csrf_token %}
            <div class=" tabel-poll">
            <div class="header-polling"><h2 style="text-align: center;">Create Polling</h2></div>
                <div class="row">
                    <div class="col pertanyaan-polling">
                        <strong>{{pollform.pertanyaan.label_tag}}</strong>
                        {{pollform.pertanyaan}}
                    </div>
                </div>
                <br>
                <div class="row row-pilihan">
                    <div class="col">
                        <strong>{{pollform.pilihan_satu.label_tag}}</strong>
                        {{pollform.pilihan_satu}}
                    </div>
                    <div class="col">
                        <strong>{{pollform.pilihan_dua.label_tag}}</strong>
                        {{pollform.pilihan_dua}}
                    </div>
                    <div class="col">
                        <strong>{{pollform.pilihan_tiga.label_tag}}</strong>
                        {{pollform.pilihan_tiga}}
                    </div>
                </div>
                <div class="text-center">
                    <button type="submit" class="btn btn-success btn-create-poll" style="margin-top:30px;">&nbsp;&nbspSubmit&nbsp;&nbsp</button>
                </div>
                </div>
            </div>
        </form>
    </div>  
</body>
{% endblock content %}